### Enumeration

# Fwupd InstallFlags

#### Declaration

    flags Fwupd.InstallFlags

#### Description [src]

Flags to set when performing the firmware update or install.

#### Members

`FWUPD_INSTALL_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 0.7.0
`FWUPD_INSTALL_FLAG_ALLOW_REINSTALL`

  Allow reinstalling the same version.

  - Value: `2`
  - Available since: 0.7.0
`FWUPD_INSTALL_FLAG_ALLOW_OLDER`

  Allow downgrading firmware.

  - Value: `4`
  - Available since: 0.7.0
`FWUPD_INSTALL_FLAG_FORCE`

  Force the update even if not a good idea.

  - Value: `8`
  - Available since: 0.7.1
`FWUPD_INSTALL_FLAG_NO_HISTORY`

  Do not write to the history database.

  - Value: `16`
  - Available since: 1.0.8
`FWUPD_INSTALL_FLAG_ALLOW_BRANCH_SWITCH`

  Allow firmware branch switching.

  - Value: `32`
  - Available since: 1.5.0
`FWUPD_INSTALL_FLAG_IGNORE_CHECKSUM`

  This is now unused; see `FuFirmwareParseFlags`.

  - Value: `64`
  - Available since: 1.5.0
`FWUPD_INSTALL_FLAG_IGNORE_VID_PID`

  This is now unused; see `FuFirmwareParseFlags`.

  - Value: `128`
  - Available since: 1.5.0
`FWUPD_INSTALL_FLAG_NO_SEARCH`

  This is now unused; see `FuFirmwareParseFlags`.

  - Value: `256`
  - Available since: 1.5.0
`FWUPD_INSTALL_FLAG_IGNORE_REQUIREMENTS`

  Ignore version requirement checks.

  - Value: `512`
  - Available since: 1.9.21
`FWUPD_INSTALL_FLAG_ONLY_EMULATED`

  Only install to emulated devices.

  - Value: `1024`
  - Available since: 2.0.10